PUT /api/projects/{id}

Authentication

API Key (cookie: better-auth.session_token)

Path Parameters

id string required path
Example: "abc123"

Request Body

application/json
name string
domains string[]
Array of:
brandConfig object
colors object
primary string REQUIRED
secondary string REQUIRED
accent string REQUIRED
background string REQUIRED
foreground string REQUIRED
fonts object
heading string REQUIRED
body string REQUIRED
brandName string
logoUrl string
isDefault boolean

Responses

200 Project updated
application/json
ok boolean REQUIRED
401 Authentication required
404 Project not found
curl -X PUT 'https://motioness.com/api/projects/abc123' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "domains": [    "string"  ],  "brandConfig": {    "colors": {      "primary": "string",      "secondary": "string",      "accent": "string",      "background": "string",      "foreground": "string"    },    "fonts": {      "heading": "string",      "body": "string"    },    "brandName": "string",    "logoUrl": "string"  },  "isDefault": true}'
const response = await fetch('https://motioness.com/api/projects/abc123', {  method: 'PUT',  headers: {      "Content-Type": "application/json"  },  body: JSON.stringify({    "name": "string",    "domains": [      "string"    ],    "brandConfig": {      "colors": {        "primary": "string",        "secondary": "string",        "accent": "string",        "background": "string",        "foreground": "string"      },      "fonts": {        "heading": "string",        "body": "string"      },      "brandName": "string",      "logoUrl": "string"    },    "isDefault": true  })});const data = await response.json();console.log(data);
import requestsresponse = requests.put('https://motioness.com/api/projects/abc123', json={  "name": "string",  "domains": [    "string"  ],  "brandConfig": {    "colors": {      "primary": "string",      "secondary": "string",      "accent": "string",      "background": "string",      "foreground": "string"    },    "fonts": {      "heading": "string",      "body": "string"    },    "brandName": "string",    "logoUrl": "string"  },  "isDefault": true})print(response.json())
200 Response
{  "ok": true}
Ask a question... ⌘I